> For the complete documentation index, see [llms.txt](https://developers.coindirect.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.coindirect.com/api/rates/get-values-for-currency.md).

# Get Values for Currency

{% hint style="warning" %}
Please note that rates provided through this endpoint are indicative, using mid-market rates.
{% endhint %}

<mark style="color:blue;">`GET`</mark> `https://api.sandbox.coindirect.com/api/currency/values/:baseCurrency`

This endpoint allows you to get the current exchange rate for a specific currency pair e.g. ETH/JPY.

#### Path Parameters

| Name                                           | Type   | Description              |
| ---------------------------------------------- | ------ | ------------------------ |
| baseCurrency<mark style="color:red;">\*</mark> | string | Base currency e.g. `ETH` |

#### Query Parameters

| Name                                  | Type | Description |
| ------------------------------------- | ---- | ----------- |
| all<mark style="color:red;">\*</mark> | bool | `true`      |

{% tabs %}
{% tab title="200 Exchange rate successfully retrieved." %}

```javascript
[
  {
    "baseCode": "EUR",
    "counterCode": "SOL",
    "rate": 0.024572
  },
  {
    "baseCode": "EUR",
    "counterCode": "FIL",
    "rate": 0.14014
  },
  {
    "baseCode": "EUR",
    "counterCode": "LINK",
    "rate": 0.16548893706455722
  },
  {
    "baseCode": "EUR",
    "counterCode": "VET",
    "rate": 36.27253295
  }
]
```

{% endtab %}
{% endtabs %}
